Bug 1302886 - debuginfo install pkg-subpkg broken compat. against yum
debuginfo install pkg-subpkg broken compat. against yum
Status: CLOSED DUPLICATE of bug 1301265
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 16:40 EST by H.-P. Sorge
Modified: 2016-02-02 16:41 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 16:41:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
KWin Crash Screen (57.17 KB, image/png)
2016-01-31 11:52 EST, H.-P. Sorge
no flags Details
All gdb output from gdb and dnf for kwin_x11 debugging. (150.24 KB, text/plain)
2016-02-01 10:24 EST, H.-P. Sorge
no flags Details

  None (edit)
Description H.-P. Sorge 2016-01-28 16:40:39 EST
Description of problem:
KWin segfaults (during, after?) login. 
The Bugreporting tool pops up.
I start the backtrace.
GDB stops at ----->
0x00007f34f29a27ad in nanosleep () at ../sysdeps/unix/syscall-template.S:84
84      T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.6-19.fc23.x86_64 flac-libs-1.3.1-5.fc23.x86_64 krb5-libs-1.14-5.fc23.x86_64 libgcc-5.3.1-2.fc23.x86_64 libstdc++-5.3.1-2.fc23.x86_64
<-----------
However the debug modules are installed!!!!!.

try to fix by ....
first: "dnf remove" all debugsymbol-rpms 
second: boot/login reproduce bug
third: reload the debugsymbols as requested by gdm
fourth: GDM then ends with the obove mentioned request:  
" Missing separate debuginfos, use: dnf debuginfo-install ..."


Version-Release number of selected component (if applicable):
kwin-common-5.5.3-1.fc23.x86_64
kf5-kwindowsystem-debuginfo-5.18.0-1.fc23.x86_64
kwin-libs-5.5.3-1.fc23.x86_64
kwin-5.5.3-1.fc23.x86_64
kf5-kwindowsystem-5.18.0-1.fc23.x86_64
kwin-debuginfo-5.5.3-1.fc23.x86_64
gdb-7.10.1-30.fc23.x86_64

How reproducible:
boot.

Steps to Reproduce:
1. boot
2.
3.

Actual results:
I need to boot the system three times!!!
 first time boot/login : no window frames on any restored window and no taskbar.
 second time boot/login: no taskbar
 third time boot/login:  so far working   
 The desktop is being show shortly during login. 
 Then the login progress is shown.
 Then the windows are being restored and the KWin segfaults.       
 The debug tool can be started.
 GDB does not complete.
 The debug tool does not handle the report. 

Expected results:
 1. flawless boot 
 2. Keep debug tool functional even if trace back fails 

Additional info:
 New user has same effect.
Comment 1 Rex Dieter 2016-01-29 08:52:36 EST
Clearly gdb is confused here, both about not generating a backtrace and claiming that -debuginfo is missing when it really isn't.

I'm not sure there's much we can to to diagnose this on kwin side without a backtrace or otherwise any other additional useful information.

Feel free to reopen (and reassign to gdb is you want the first part assigned to gdb maintainer) or if you ever can get a useful backtrace.
Comment 2 H.-P. Sorge 2016-01-29 09:19:30 EST
Rex - thank you for comment. 

I reassigned it to gdb.
Comment 3 Jan Kratochvil 2016-01-31 09:54:41 EST
I do not see what you really debugged with GDB, the Component was kwin so I expect:
$ gdb -p `pidof kwin`

Missing separate debuginfos, use: dnf debuginfo-install kwin-5.5.4-1.fc23.x86_64
->
Install  59 Packages
Skip      2 Packages
Total download size: 372 M
Installed size: 1.4 G

And I get the backtrace(s) fine:

(gdb) bt
#0  0x00007f74034abd63 in select () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f7404a0852f in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timespec const*) (nfds=13, fdread=fdread@entry=0x559e6a84a5e8, fdwrite=fdwrite@entry=0x559e6a84a878, fdexcept=fdexcept@entry=0x559e6a84ab08, orig_timeout=orig_timeout@entry=0x0) at kernel/qcore_unix.cpp:75
#2  0x00007f7404a0a02e in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (timeout=0x0, exceptfds=0x559e6a84ab08, writefds=0x559e6a84a878, readfds=0x559e6a84a5e8, nfds=<optimized out>, this=0x559e6a849f50) at kernel/qeventdispatcher_unix.cpp:320
#3  0x00007f7404a0a02e in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (this=this@entry=0x559e6a84a450, flags=..., flags@entry=..., timeout=timeout@entry=0x0) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00007f7404a0a55e in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x559e6a849f50, flags=flags@entry=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00007f73ecea896d in QUnixEventDispatcherQPA::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=<optimized out>, flags=...) at eventdispatchers/qunixeventdispatcher.cpp:62
#6  0x00007f74049b3eca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffefc809380, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007f74049bbfac in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1229
#8  0x00007f7404eea56c in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1527
#9  0x00007f7405697855 in QApplication::exec() () at kernel/qapplication.cpp:2976
#10 0x00007f740e2bfc33 in kdemain(int, char**) (argc=1, argv=0x7ffefc8095c8) at /usr/src/debug/kwin-5.5.4/main_x11.cpp:308
#11 0x00007f74033d3580 in __libc_start_main (main=0x559e69c49d60 <main(int, char**)>, argc=1, argv=0x7ffefc8095c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffefc8095b8) at libc-start.c:289
#12 0x0000559e69c49d99 in _start ()
(gdb) info threads 
  Id   Target Id         Frame 
  9    Thread 0x7f73ec59b700 (LWP 28842) "QXcbEventReader" 0x00007f74034a9fdd in poll () at ../sysdeps/unix/syscall-template.S:84
  8    Thread 0x7f73ea9f0700 (LWP 28854) "QQmlThread" 0x00007f74034abd63 in select () at ../sysdeps/unix/syscall-template.S:84
  7    Thread 0x7f73d96e4700 (LWP 28855) "llvmpipe-0" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  6    Thread 0x7f73d8ee3700 (LWP 28856) "llvmpipe-1" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  5    Thread 0x7f73d86e2700 (LWP 28857) "llvmpipe-2" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  4    Thread 0x7f73d7ee1700 (LWP 28858) "llvmpipe-3" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  3    Thread 0x7f73d76e0700 (LWP 28859) "kwin" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  2    Thread 0x7f734f6df700 (LWP 28873) "QQmlThread" 0x00007f74034abd63 in select () at ../sysdeps/unix/syscall-template.S:84
* 1    Thread 0x7f740e5bc940 (LWP 28841) "kwin" 0x00007f74034abd63 in select () at ../sysdeps/unix/syscall-template.S:84
(gdb) 

Similarly if you meant gdm:

Missing separate debuginfos, use: dnf debuginfo-install gdm-3.19.2-1tcplisten.fc23.x86_64
->
Install  7 Packages
Total download size: 2.6 M
Installed size: 14 M

(gdb) thread apply all bt

Thread 3 (Thread 0x7fdb3b4f6700 (LWP 2713)):
#0  0x00007fdb44fb8fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fdb45b3916c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7fdb340008c0, timeout=<optimized out>, context=0x5633dde21e80) at gmain.c:4135
#2  0x00007fdb45b3916c in g_main_context_iterate (context=context@entry=0x5633dde21e80, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007fdb45b3927c in g_main_context_iteration (context=0x5633dde21e80, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007fdb45b392b9 in glib_worker_main (data=<optimized out>) at gmain.c:5672
#5  0x00007fdb45b5f835 in g_thread_proxy (data=0x5633dde24450) at gthread.c:778
#6  0x00007fdb4528a60a in start_thread (arg=0x7fdb3b4f6700) at pthread_create.c:334
#7  0x00007fdb44fc4a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fdb3acf5700 (LWP 2714)):
#0  0x00007fdb44fb8fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fdb45b3916c in g_main_context_iterate (priority=2147483647, n_fds=3, fds=0x7fdb2c0010e0, timeout=<optimized out>, context=0x5633dde24d50) at gmain.c:4135
#2  0x00007fdb45b3916c in g_main_context_iterate (context=0x5633dde24d50, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007fdb45b394f2 in g_main_loop_run (loop=0x5633dde22630) at gmain.c:4034
#4  0x00007fdb4615a336 in gdbus_shared_thread_func (user_data=0x5633dde22670) at gdbusprivate.c:246
#5  0x00007fdb45b5f835 in g_thread_proxy (data=0x5633dde244a0) at gthread.c:778
#6  0x00007fdb4528a60a in start_thread (arg=0x7fdb3acf5700) at pthread_create.c:334
#7  0x00007fdb44fc4a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fdb46a95880 (LWP 2711)):
#0  0x00007fdb44fb8fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fdb45b3916c in g_main_context_iterate (priority=2147483647, n_fds=5, fds=0x5633dde48bd0, timeout=<optimized out>, context=0x5633dde19820) at gmain.c:4135
#2  0x00007fdb45b3916c in g_main_context_iterate (context=0x5633dde19820, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007fdb45b394f2 in g_main_loop_run (loop=0x5633dde22650) at gmain.c:4034
#4  0x00005633dcee840c in main ()
(gdb) 

But if you have any issues it may be more a dnf bug (such as Bug 1301265).
Comment 4 H.-P. Sorge 2016-01-31 11:52 EST
Created attachment 1119916 [details]
KWin Crash Screen

it's the bottom buttom - Fehlersuche in gdb - that leads to the failing trace.
Comment 5 H.-P. Sorge 2016-01-31 11:53:25 EST
My initial starting point was KWin - please see the attached screen shot.

But you are right it's not KWin having Debug trouble it's kwin_x11!


-------------------------_> snip
[root@joyw520 ~]# gdb -p 2673   
GNU gdb (GDB) Fedora 7.10.1-30.fc23
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"                                                                                                                                                 
and "show warranty" for details.                                                                                                                                                                                           
This GDB was configured as "x86_64-redhat-linux-gnu".                                                                                                                                                                      
Type "show configuration" for configuration details.                                                                                                                                                                       
For bug reporting instructions, please see:                                                                                                                                                                                
<http://www.gnu.org/software/gdb/bugs/>.                                                                                                                                                                                   
Find the GDB manual and other documentation resources online at:                                                                                                                                                           
<http://www.gnu.org/software/gdb/documentation/>.                                                                                                                                                                          
For help, type "help".                                                                                                                                                                                                     
Type "apropos word" to search for commands related to "word".                                                                                                                                                              
Attaching to process 2673                                                                                                                                                                                                  
Reading symbols from /usr/bin/kwin_x11...Reading symbols from /usr/lib/debug/usr/bin/kwin_x11.debug...done.     

........... More ........ snip .........  Messages .......

0x00007fc73e8dd7ad in nanosleep () at ../sysdeps/unix/syscall-template.S:84
84      T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.6-19.fc23.x86_64 flac-libs-1.3.1-5.fc23.x86_64 krb5-libs-1.14-5.fc23.x86_64 libgcc-5.3.1-2.fc23.x86_64 libstdc++-5.3.1-2.fc23.x86_64
(gdb) 

..... /snip


Process list for kwin_x11 related processes:
ps -Al 1 | grep kwin_x11
0 T  2000  2673  2658  0  80   0 - 815075 signal ?         0:00 kwin_x11
0 S  2000  3502     1  0  80   0 - 866572 poll_s ?         0:03 /usr/bin/kwin_x11 --crashes 1
0 S  2000  3504  2643  0  80   0 - 183981 poll_s ?         0:01 /usr/libexec/drkonqi -platform xcb -display :0 --appname kwin_x11 --apppath /usr/bin --signal 11 --pid 2673 --appversion 5.5.3 --programname KWin --bugaddress submit@bugs.kde.org --startupid 0
Comment 6 Jan Kratochvil 2016-01-31 12:11:15 EST
So what is the problem here?  I have tried to run+gdb kwin_x11 now and it also all works:
$ gdb -p `pidof kwin_x11`
Reading symbols from /lib64/libtinfo.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libtinfo.so.5.9.debug...done.
done.
0x00007f091e460e3c in __pselect (nfds=nfds@entry=14, readfds=readfds@entry=0x56354fa76638, writefds=writefds@entry=0x56354fa768c8, 
    exceptfds=exceptfds@entry=0x56354fa76b58, timeout=<optimized out>, timeout@entry=0x7ffe8636a8a0, sigmask=sigmask@entry=0x0)
    at ../sysdeps/unix/sysv/linux/pselect.c:69
69	  result = CALL_PSELECT6 (nfds, readfds, writefds, exceptfds, timeout,
(gdb) bt
#0  0x00007f091e460e3c in __pselect (nfds=nfds@entry=14, readfds=readfds@entry=0x56354fa76638, writefds=writefds@entry=0x56354fa768c8, exceptfds=exceptfds@entry=0x56354fa76b58, timeout=<optimized out>, timeout@entry=0x7ffe8636a8a0, sigmask=sigmask@entry=0x0) at ../sysdeps/unix/sysv/linux/pselect.c:69
#1  0x00007f091f9bd44a in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timespec const*) (nfds=14, fdread=fdread@entry=0x56354fa76638, fdwrite=fdwrite@entry=0x56354fa768c8, fdexcept=fdexcept@entry=0x56354fa76b58, orig_timeout=orig_timeout@entry=0x7ffe8636aa30) at kernel/qcore_unix.cpp:86
#2  0x00007f091f9bf02e in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (timeout=0x7ffe8636aa30, exceptfds=0x56354fa76b58, writefds=0x56354fa768c8, readfds=0x56354fa76638, nfds=<optimized out>, this=0x56354fa761c0) at kernel/qeventdispatcher_unix.cpp:320
#3  0x00007f091f9bf02e in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timespec*) (this=this@entry=0x56354fa764a0, flags=..., flags@entry=..., timeout=timeout@entry=0x7ffe8636aa30) at kernel/qeventdispatcher_unix.cpp:196
#4  0x00007f091f9bf4cc in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x56354fa761c0, flags=flags@entry=...) at kernel/qeventdispatcher_unix.cpp:607
#5  0x00007f0907e5b96d in QUnixEventDispatcherQPA::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=<optimized out>, flags=...) at eventdispatchers/qunixeventdispatcher.cpp:62
#6  0x00007f091f968eca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffe8636ab20, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007f091f970fac in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1229
#8  0x00007f091fe9f56c in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1527
#9  0x00007f092064c855 in QApplication::exec() () at kernel/qapplication.cpp:2976
#10 0x00007f0929274c33 in kdemain(int, char**) (argc=1, argv=0x7ffe8636ad68) at /usr/src/debug/kwin-5.5.4/main_x11.cpp:308
#11 0x00007f091e388580 in __libc_start_main (main=0x56354df04d60 <main(int, char**)>, argc=1, argv=0x7ffe8636ad68, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffe8636ad58) at libc-start.c:289
#12 0x000056354df04d99 in _start ()
(gdb) 

Did you run the command
  dnf debuginfo-install bzip2-libs-1.0.6-19.fc23.x86_64 flac-libs-1.3.1-5.fc23.x86_64 krb5-libs-1.14-5.fc23.x86_64 libgcc-5.3.1-2.fc23.x86_64 libstdc++-5.3.1-2.fc23.x86_64
from your shell as root?  I do not recognize if the crash screenshort from Comment 4 is from ABRT or some other tool.

Did you run the "bt" (or "backtrace") command?  What did it (did not) show?

If you did run the command and GDB still asks for "dnf debuginfo-install" then reassign this Bug to: dnf-plugins-core

If you did not run the command and the Comment 4 dialog is from ABRT then reassign this Bug to "abrt" as ABRT should handle debuginfo-install on its own.

If you did not run the command and the Comment 4 dialog is from a different tool (something from KDE) then reassign this Bug to that tool as that tool should handle debuginfo-install on its own.
Comment 7 H.-P. Sorge 2016-01-31 16:03:39 EST
At least we agree, that this case deserves a bug report.

1. KWin bug report pops up during sign-in. 
2. The button ()Fehlersuche in gdb  starts gdb 
3. Tha trace fails as shown before.

4. I use<.  gdb -p `pidof kwin_x11` > that failed.
5. I use<   gdb -p   2673           > that recreated the failing trace.

6. yes, I did run the dnf debuginfo-install ....
 the output - as always:
    
[root@joyw520 ~]# dnf debuginfo-install bzip2-libs-1.0.6-19.fc23.x86_64 flac-libs-1.3.1-5.fc23.x86_64 krb5-libs-1.14-5.fc23.x86_64 libgcc-5.3.1-2.fc23.x86_64 libstdc++-5.3.1-2.fc23.x86_64
Paketquelle rpmfusion-nonfree-updates-testing-debuginfo wird aktiviert
Paketquelle rpmfusion-free-debuginfo wird aktiviert
Paketquelle fedora-debuginfo wird aktiviert
Paketquelle rpmfusion-free-updates-testing-debuginfo wird aktiviert
Paketquelle rpmfusion-nonfree-debuginfo wird aktiviert
Paketquelle updates-debuginfo wird aktiviert
RPM Fusion for Fedora 23 - Free - Test Updates Debug                                                                                                                                       675 kB/s | 229 kB     00:00    
Fedora 23 - x86_64 - Updates - Debug                                                                                                                                                       3.7 MB/s | 4.8 MB     00:01    
RPM Fusion for Fedora 23 - Nonfree - Test Updates Debug                                                                                                                                    255 kB/s |  68 kB     00:00    
Die letzte Prüfung auf abgelaufene Metadaten wurde vor 0:00:00 auf Sun Jan 31 21:38:01 2016 ausgeführt.
Paket glibc-debuginfo-2.22-7.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket nss-softokn-debuginfo-3.21.0-1.1.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket libogg-debuginfo-2:1.3.2-4.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket openssl-debuginfo-1:1.0.2e-3.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket zlib-debuginfo-1.2.8-9.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket e2fsprogs-debuginfo-1.42.13-3.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket libselinux-debuginfo-2.4-4.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket pcre-debuginfo-8.38-4.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket keyutils-debuginfo-1.5.9-7.fc23.x86_64 ist bereits installiert, wird übersprungen.
Paket libverto-debuginfo-0.2.6-5.fc23.x86_64 ist bereits installiert, wird übersprungen.
Abhängigkeiten sind aufgelöst.
===========================================================================================================================================================================================================================
 Package                                                 Arch                                         Version                                                Paketquelle                                             Größe
===========================================================================================================================================================================================================================
Pakete mit Konflikten werden übersprungen:
(fügen Sie »--best --allowerasing« zur Befehlszeile hinzu, um die Aktualisierung zu erzwingen):
 openssl-debuginfo                                       x86_64                                       1:1.0.2f-1.fc23                                        updates-debuginfo                                       4.3 M

Transaktionsübersicht
===========================================================================================================================================================================================================================
Skip  1 Package

Nichts zu tun.
Komplett!


7. I use<.  gdb -p `pidof kwin_x11` - this time OK - following is the trace:
[root@joyw520 ~]# gdb -p `pidof kwin_x11` 
GNU gdb (GDB) Fedora 7.10.1-30.fc23
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
2673: Datei oder Verzeichnis nicht gefunden.
Attaching to process 3502
Reading symbols from /usr/bin/kwin_x11...Reading symbols from /usr/lib/debug/usr/bin/kwin_x11.debug...done.
done.
Reading symbols from /lib64/libkdeinit5_kwin_x11.so...Reading symbols from /usr/lib/debug/usr/lib64/libkdeinit5_kwin_x11.so.debug...done.
done.
Reading symbols from /lib64/libkwin.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libkwin.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libkwineffects.so.7...Reading symbols from /usr/lib/debug/usr/lib64/libkwineffects.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libkwinxrenderutils.so.7...Reading symbols from /usr/lib/debug/usr/lib64/libkwinxrenderutils.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libkwin4_effect_builtins.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libkwin4_effect_builtins.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libQt5Script.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Script.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5GlobalAccelPrivate.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5GlobalAccelPrivate.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5Plasma.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Plasma.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libQt5Quick.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Quick.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5Package.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Package.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libQt5Qml.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Qml.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libQt5Concurrent.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Concurrent.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5Service.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Service.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libkdecorations2.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libkdecorations2.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libkdecorations2private.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libkdecorations2private.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libKScreenLocker.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKScreenLocker.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libKF5Crash.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Crash.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5Notifications.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Notifications.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5GlobalAccel.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5GlobalAccel.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5ConfigWidgets.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5ConfigWidgets.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5Codecs.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Codecs.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5ConfigGui.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5ConfigGui.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5ConfigCore.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5ConfigCore.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libQt5Xml.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Xml.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5Auth.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Auth.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5I18n.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5I18n.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5WidgetsAddons.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5WidgetsAddons.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libQt5Network.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Network.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5Activities.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Activities.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libX11.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libX11.so.6.3.0.debug...done.
done.
Reading symbols from /lib64/libICE.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libICE.so.6.3.0.debug...done.
done.
Reading symbols from /lib64/libSM.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libSM.so.6.0.1.debug...done.
done.
Reading symbols from /lib64/libxcb-damage.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-damage.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-composite.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-composite.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-xfixes.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-xfixes.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-shape.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-shape.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-sync.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-sync.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-render.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-render.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-randr.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-randr.so.0.1.0.debug...done.
done.
Reading symbols from /lib64/libxcb-keysyms.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-keysyms.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-shm.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-shm.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-glx.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-glx.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-cursor.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-cursor.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxkbcommon.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxkbcommon.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libKF5WaylandClient.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5WaylandClient.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libKF5WaylandServer.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5WaylandServer.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libwayland-cursor.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libwayland-cursor.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libpthread.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpthread-2.22.so.debug...done.
done.
[New LWP 3567]
[New LWP 3552]
[New LWP 3546]
[New LWP 3516]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Reading symbols from /lib64/libudev.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libudev.so.1.6.4.debug...done.
done.
Reading symbols from /lib64/libinput.so.10...Reading symbols from /usr/lib/debug/usr/lib64/libinput.so.10.6.4.debug...done.
done.
Reading symbols from /lib64/libkwinglutils.so.7...Reading symbols from /usr/lib/debug/usr/lib64/libkwinglutils.so.5.5.3.debug...done.
done.
Reading symbols from /lib64/libQt5DBus.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5DBus.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5CoreAddons.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5CoreAddons.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5WindowSystem.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5WindowSystem.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libQt5X11Extras.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5X11Extras.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libQt5Widgets.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Widgets.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libQt5Gui.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Gui.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libQt5Core.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Core.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libxcb.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libxcb.so.1.1.0.debug...done.
done.
Reading symbols from /lib64/libepoxy.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libepoxy.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libdl.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libdl-2.22.so.debug...done.
done.
Reading symbols from /lib64/libstdc++.so.6...(no debugging symbols found)...done.
Reading symbols from /lib64/libm.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libm-2.22.so.debug...done.
done.
Reading symbols from /lib64/libgcc_s.so.1...(no debugging symbols found)...done.
Reading symbols from /lib64/libc.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libc-2.22.so.debug...done.
done.
Reading symbols from /lib64/libxcb-image.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-image.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libKF5IconThemes.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5IconThemes.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libQt5Sql.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Sql.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5Declarative.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Declarative.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5XmlGui.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5XmlGui.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libXext.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libXext.so.6.4.0.debug...done.
done.
Reading symbols from /lib64/libKF5Archive.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Archive.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5KIOWidgets.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5KIOWidgets.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5KIOCore.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5KIOCore.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5JobWidgets.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5JobWidgets.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5Completion.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Completion.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libQt5Svg.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5Svg.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5GuiAddons.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5GuiAddons.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libGL.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libGL.so.1.2.0.debug...done.
done.
Reading symbols from /lib64/librt.so.1...Reading symbols from /usr/lib/debug/usr/lib64/librt-2.22.so.debug...done.
done.
Reading symbols from /lib64/libKF5DBusAddons.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5DBusAddons.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5IdleTime.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5IdleTime.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libXcursor.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXcursor.so.1.0.2.debug...done.
done.
Reading symbols from /lib64/libwayland-server.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libwayland-server.so.0.1.0.debug...done.
done.
Reading symbols from /lib64/libphonon4qt5experimental.so.4...Reading symbols from /usr/lib/debug/usr/lib64/libphonon4qt5experimental.so.4.8.3.debug...done.
done.
Reading symbols from /lib64/libdbusmenu-qt5.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libdbusmenu-qt5.so.2.6.0.debug...done.
done.
Reading symbols from /lib64/libphonon4qt5.so.4...Reading symbols from /usr/lib/debug/usr/lib64/libphonon4qt5.so.4.8.3.debug...done.
done.
Reading symbols from /lib64/libz.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libz.so.1.2.8.debug...done.
done.
Reading symbols from /lib64/libssl.so.10...Reading symbols from /usr/lib/debug/usr/lib64/libssl.so.1.0.2e.debug...done.
done.
Reading symbols from /lib64/libcrypto.so.10...Reading symbols from /usr/lib/debug/usr/lib64/libcrypto.so.1.0.2e.debug...done.
done.
Reading symbols from /lib64/libuuid.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libuuid.so.1.3.0.debug...done.
done.
Reading symbols from /lib64/libXau.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libXau.so.6.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-render-util.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-render-util.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libwayland-client.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libwayland-client.so.0.3.0.debug...done.
done.
Reading symbols from /lib64/libEGL.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libEGL.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/ld-linux-x86-64.so.2...Reading symbols from /usr/lib/debug/usr/lib64/ld-2.22.so.debug...done.
done.
Reading symbols from /lib64/libselinux.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libselinux.so.1.debug...done.
done.
Reading symbols from /lib64/libresolv.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libresolv-2.22.so.debug...done.
done.
Reading symbols from /lib64/libdw.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libdw-0.165.so.debug...done.
done.
Reading symbols from /lib64/libcap.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libcap.so.2.24.debug...done.
done.
Reading symbols from /lib64/libmtdev.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libmtdev.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libevdev.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libevdev.so.2.1.11.debug...done.
done.
Reading symbols from /lib64/libdbus-1.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libdbus-1.so.3.14.6.debug...done.
done.
Reading symbols from /lib64/libXfixes.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libXfixes.so.3.1.0.debug...done.
done.
Reading symbols from /lib64/libXrender.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXrender.so.1.3.0.debug...done.
done.
Reading symbols from /lib64/libgobject-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgobject-2.0.so.0.4600.2.debug...done.
done.
Reading symbols from /lib64/libglib-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libglib-2.0.so.0.4600.2.debug...done.
done.
Reading symbols from /lib64/libpng16.so.16...Reading symbols from /usr/lib/debug/usr/lib64/libpng16.so.16.19.0.debug...done.
done.
Reading symbols from /lib64/libharfbuzz.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libharfbuzz.so.0.10000.6.debug...done.
done.
Reading symbols from /lib64/libicui18n.so.54...Reading symbols from /usr/lib/debug/usr/lib64/libicui18n.so.54.1.debug...done.
done.
Reading symbols from /lib64/libicuuc.so.54...Reading symbols from /usr/lib/debug/usr/lib64/libicuuc.so.54.1.debug...done.
done.
Reading symbols from /lib64/libicudata.so.54...Reading symbols from /usr/lib/debug/usr/lib64/libicudata.so.54.1.debug...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /lib64/libpcre16.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpcre16.so.0.2.6.debug...done.
done.
Reading symbols from /lib64/libgthread-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgthread-2.0.so.0.4600.2.debug...done.
done.
Reading symbols from /lib64/libxcb-util.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-util.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libKF5ItemViews.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5ItemViews.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libQt5PrintSupport.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5PrintSupport.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libKF5TextWidgets.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5TextWidgets.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5Attica.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Attica.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5SonnetUi.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5SonnetUi.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libbz2.so.1...Reading symbols from /lib64/libbz2.so.1...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /lib64/liblzma.so.5...Reading symbols from /usr/lib/debug/usr/lib64/liblzma.so.5.2.1.debug...done.
done.
Reading symbols from /lib64/libacl.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libacl.so.1.1.0.debug...done.
done.
Reading symbols from /lib64/libattr.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libattr.so.1.1.0.debug...done.
done.
Reading symbols from /lib64/libexpat.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libexpat.so.1.6.0.debug...done.
done.
Reading symbols from /lib64/libxcb-dri3.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-dri3.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-present.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-present.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libxshmfence.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libxshmfence.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libglapi.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libglapi.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libXdamage.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXdamage.so.1.1.0.debug...done.
done.
Reading symbols from /lib64/libX11-xcb.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libX11-xcb.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-dri2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-dri2.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libXxf86vm.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXxf86vm.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libdrm.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libdrm.so.2.4.0.debug...done.
done.
Reading symbols from /lib64/libffi.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libffi.so.6.0.2.debug...done.
done.
Reading symbols from /lib64/libpulse.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpulse.so.0.18.2.debug...done.
done.
Reading symbols from /lib64/libpulse-mainloop-glib.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpulse-mainloop-glib.so.0.0.5.debug...done.
done.
Reading symbols from /lib64/libgssapi_krb5.so.2...Reading symbols from /lib64/libgssapi_krb5.so.2...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /lib64/libkrb5.so.3...Reading symbols from /lib64/libkrb5.so.3...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /lib64/libcom_err.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libcom_err.so.2.1.debug...done.
done.
Reading symbols from /lib64/libk5crypto.so.3...Reading symbols from /lib64/libk5crypto.so.3...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /lib64/libgbm.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libgbm.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libpcre.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libpcre.so.1.2.6.debug...done.
done.
Reading symbols from /lib64/libelf.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libelf-0.165.so.debug...done.
done.
Reading symbols from /lib64/libsystemd.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libsystemd.so.0.9.0.debug...done.
done.
Reading symbols from /usr/lib64/freetype-freeworld/libfreetype.so.6...Reading symbols from /usr/lib/debug/usr/lib64/freetype-freeworld/libfreetype.so.6.12.0.debug...done.
done.
Reading symbols from /lib64/libgraphite2.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libgraphite2.so.3.0.1.debug...done.
done.
Reading symbols from /lib64/libKF5SonnetCore.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5SonnetCore.so.5.18.0.debug...done.
done.
Reading symbols from /usr/lib64/pulseaudio/libpulsecommon-7.1.so...Reading symbols from /usr/lib/debug/usr/lib64/pulseaudio/libpulsecommon-7.1.so.debug...done.
done.
Reading symbols from /lib64/libXtst.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libXtst.so.6.1.0.debug...done.
done.
Reading symbols from /lib64/libjson-c.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libjson-c.so.2.0.1.debug...done.
done.
Reading symbols from /lib64/libwrap.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libwrap.so.0.7.6.debug...done.
done.
Reading symbols from /lib64/libsndfile.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libsndfile.so.1.0.25.debug...done.
done.
Reading symbols from /lib64/libasyncns.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libasyncns.so.0.3.1.debug...done.
done.
Reading symbols from /lib64/libkrb5support.so.0...Reading symbols from /lib64/libkrb5support.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /lib64/libkeyutils.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libkeyutils.so.1.5.debug...done.
done.
Reading symbols from /lib64/libgcrypt.so.20...Reading symbols from /usr/lib/debug/usr/lib64/libgcrypt.so.20.0.4.debug...done.
done.
Reading symbols from /lib64/libgpg-error.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgpg-error.so.0.17.0.debug...done.
done.
Reading symbols from /lib64/libXi.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libXi.so.6.1.0.debug...done.
done.
Reading symbols from /lib64/libnsl.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libnsl-2.22.so.debug...done.
done.
Reading symbols from /lib64/libgsm.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libgsm.so.1.0.12.debug...done.
done.
Reading symbols from /lib64/libFLAC.so.8...Reading symbols from /lib64/libFLAC.so.8...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Reading symbols from /lib64/libvorbisenc.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libvorbisenc.so.2.0.10.debug...done.
done.
Reading symbols from /lib64/libogg.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libogg.so.0.8.2.debug...done.
done.
Reading symbols from /lib64/libvorbis.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libvorbis.so.0.4.7.debug...done.
done.
Reading symbols from /usr/lib64/qt5/plugins/platforms/libqxcb.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/plugins/platforms/libqxcb.so.debug...done.
done.
Reading symbols from /lib64/libQt5XcbQpa.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libQt5XcbQpa.so.5.5.1.debug...done.
done.
Reading symbols from /lib64/libxcb-icccm.so.4...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-icccm.so.4.0.0.debug...done.
done.
Reading symbols from /lib64/libxcb-xkb.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libxcb-xkb.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libxkbcommon-x11.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libxkbcommon-x11.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libfontconfig.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libfontconfig.so.1.9.0.debug...done.
done.
Reading symbols from /usr/lib64/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so.debug...done.
done.
Reading symbols from /usr/lib64/qt5/plugins/platformthemes/KDEPlatformTheme.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/plugins/platformthemes/KDEPlatformTheme.so.debug...done.
done.
Reading symbols from /lib64/libKF5KIOFileWidgets.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5KIOFileWidgets.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5Bookmarks.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Bookmarks.so.5.18.0.debug...done.
done.
Reading symbols from /lib64/libKF5Solid.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5Solid.so.5.18.0.debug...done.
done.
Reading symbols from /usr/lib64/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so.debug...done.
done.
Reading symbols from /lib64/libgtk-x11-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgtk-x11-2.0.so.0.2400.29.debug...done.
done.
Reading symbols from /lib64/libgdk-x11-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgdk-x11-2.0.so.0.2400.29.debug...done.
done.
Reading symbols from /lib64/libgmodule-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgmodule-2.0.so.0.4600.2.debug...done.
done.
Reading symbols from /lib64/libpangocairo-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpangocairo-1.0.so.0.3800.1.debug...done.
done.
Reading symbols from /lib64/libatk-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libatk-1.0.so.0.21809.1.debug...done.
done.
Reading symbols from /lib64/libcairo.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libcairo.so.2.11400.2.debug...done.
done.
Reading symbols from /lib64/libgdk_pixbuf-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgdk_pixbuf-2.0.so.0.3200.3.debug...done.
done.
Reading symbols from /lib64/libgio-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgio-2.0.so.0.4600.2.debug...done.
done.
Reading symbols from /lib64/libpangoft2-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpangoft2-1.0.so.0.3800.1.debug...done.
done.
Reading symbols from /lib64/libpango-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpango-1.0.so.0.3800.1.debug...done.
done.
Reading symbols from /lib64/libXinerama.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXinerama.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libXrandr.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libXrandr.so.2.2.0.debug...done.
done.
Reading symbols from /lib64/libXcomposite.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXcomposite.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libthai.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libthai.so.0.2.0.debug...done.
done.
Reading symbols from /lib64/libpixman-1.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpixman-1.so.0.33.6.debug...done.
done.
Reading symbols from /lib64/libdatrie.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libdatrie.so.1.3.1.debug...done.
done.
Reading symbols from /lib64/libgnomeui-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnomeui-2.so.0.2400.5.debug...done.
done.
Reading symbols from /lib64/libbonoboui-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libbonoboui-2.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libgnomecanvas-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnomecanvas-2.so.0.3000.3.debug...done.
done.
Reading symbols from /lib64/libart_lgpl_2.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libart_lgpl_2.so.2.3.21.debug...done.
done.
Reading symbols from /lib64/libgnome-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnome-2.so.0.3200.1.debug...done.
done.
Reading symbols from /lib64/libgnomevfs-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnomevfs-2.so.0.2400.4.debug...done.
done.
Reading symbols from /lib64/libgconf-2.so.4...Reading symbols from /usr/lib/debug/usr/lib64/libgconf-2.so.4.1.5.debug...done.
done.
Reading symbols from /lib64/libgnome-keyring.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnome-keyring.so.0.2.0.debug...done.
done.
Reading symbols from /lib64/libbonobo-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libbonobo-2.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libbonobo-activation.so.4...Reading symbols from /usr/lib/debug/usr/lib64/libbonobo-activation.so.4.0.0.debug...done.
done.
Reading symbols from /lib64/libORBit-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libORBit-2.so.0.1.0.debug...done.
done.
Reading symbols from /lib64/libxml2.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libxml2.so.2.9.3.debug...done.
done.
Reading symbols from /lib64/libpopt.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpopt.so.0.0.0.debug...done.
done.
Reading symbols from /lib64/libgailutil.so.18...Reading symbols from /usr/lib/debug/usr/lib64/libgailutil.so.18.0.1.debug...done.
done.
Reading symbols from /lib64/libcanberra.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libcanberra.so.0.2.5.debug...done.
done.
Reading symbols from /lib64/libdbus-glib-1.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libdbus-glib-1.so.2.3.2.debug...done.
done.
Reading symbols from /lib64/libavahi-glib.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libavahi-glib.so.1.0.2.debug...done.
done.
Reading symbols from /lib64/libavahi-common.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libavahi-common.so.3.5.3.debug...done.
done.
Reading symbols from /lib64/libavahi-client.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libavahi-client.so.3.2.9.debug...done.
done.
Reading symbols from /lib64/libutil.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libutil-2.22.so.debug...done.
done.
Reading symbols from /lib64/libORBitCosNaming-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libORBitCosNaming-2.so.0.1.0.debug...done.
done.
Reading symbols from /lib64/libvorbisfile.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libvorbisfile.so.3.3.6.debug...done.
done.
Reading symbols from /lib64/libtdb.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libtdb.so.1.3.8.debug...done.
done.
Reading symbols from /lib64/libltdl.so.7...Reading symbols from /usr/lib/debug/usr/lib64/libltdl.so.7.3.1.debug...done.
done.
Reading symbols from /lib64/libcrypt.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libcrypt-2.22.so.debug...done.
done.
Reading symbols from /lib64/libfreebl3.so...Reading symbols from /usr/lib/debug/usr/lib64/libfreebl3.so.debug...done.
done.
Reading symbols from /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so...Reading symbols from /usr/lib/debug/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so.debug...done.
done.
Reading symbols from /lib64/libnss_files.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libnss_files-2.22.so.debug...done.
done.
Reading symbols from /usr/lib64/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so.debug...done.
done.
Reading symbols from /usr/lib64/qt5/plugins/kf5/org.kde.kwindowsystem.platforms/KF5WindowSystemX11Plugin.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/plugins/kf5/org.kde.kwindowsystem.platforms/KF5WindowSystemX11Plugin.so.debug...done.
done.
Reading symbols from /usr/lib64/qt5/qml/org/kde/kwin/decoration/libdecorationplugin.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/qml/org/kde/kwin/decoration/libdecorationplugin.so.debug...done.
done.
Reading symbols from /usr/lib64/qt5/qml/QtQuick.2/libqtquick2plugin.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/qml/QtQuick.2/libqtquick2plugin.so.debug...done.
done.
Reading symbols from /usr/lib64/qt5/qml/org/kde/kwin/decorations/plastik/libplastikplugin.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/qml/org/kde/kwin/decorations/plastik/libplastikplugin.so.debug...done.
done.
Reading symbols from /usr/lib64/qt5/qml/org/kde/kquickcontrolsaddons/libkquickcontrolsaddonsplugin.so...Reading symbols from /usr/lib/debug/usr/lib64/qt5/qml/org/kde/kquickcontrolsaddons/libkquickcontrolsaddonsplugin.so.debug...done.
done.
Reading symbols from /lib64/libKF5QuickAddons.so.5...Reading symbols from /usr/lib/debug/usr/lib64/libKF5QuickAddons.so.5.18.0.debug...done.
done.
Reading symbols from /usr/lib64/dri/i965_dri.so...Reading symbols from /usr/lib/debug/usr/lib64/dri/r200_dri.so.debug...done.
done.
Reading symbols from /lib64/libdrm_intel.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libdrm_intel.so.1.0.0.debug...done.
done.
Reading symbols from /lib64/libdrm_nouveau.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libdrm_nouveau.so.2.0.0.debug...done.
done.
Reading symbols from /lib64/libdrm_radeon.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libdrm_radeon.so.1.0.1.debug...done.
done.
Reading symbols from /lib64/libpciaccess.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpciaccess.so.0.11.1.debug...done.
done.
0x00007f0117474d63 in select () at ../sysdeps/unix/syscall-template.S:84
84      T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.6-19.fc23.x86_64 flac-libs-1.3.1-5.fc23.x86_64 krb5-libs-1.14-5.fc23.x86_64 libgcc-5.3.1-2.fc23.x86_64 libstdc++-5.3.1-2.fc23.x86_64
(gdb) 

reinstall to dnf-plugins-core
Comment 8 Jan Kratochvil 2016-01-31 16:12:20 EST
Have you done also:
  dnf distro-sync
?
As you may have older binary packages than what debuginfo packages got installed:
  rpm -q krb5-{debuginfo,libs}.x86_64
I see that current F-23 package is krb5-libs-1.14-7.fc23.x86_64 but you seem to run krb5-libs-1.14-5.fc23.x86_64.  Fedora does not provide debuginfos for non-latest packages.

Still that is also a dnf/rpm Bug but a more general one existing since forever.  Maybe now with the new dnf package manager it could be finally fixed: Bug 432806
Comment 9 Honza Silhan 2016-02-01 08:16:38 EST
It will be fixed soon whether the problem is in bug 1024701.

*** This bug has been marked as a duplicate of bug 1024701 ***
Comment 10 H.-P. Sorge 2016-02-01 10:24 EST
Created attachment 1120165 [details]
All gdb output from gdb and dnf for kwin_x11 debugging.

I run dnf distro-sync (it failed before - an other story).

I did the debugging from scratch. 
The same gdb problem persists.

The attached output from the debug cycles has comments within. 
My Comments are marked with  
1-7 -------,  .....

( I hope the German message content is self explanatory)
Comment 11 Jan Kratochvil 2016-02-01 12:03:13 EST
The problem (if it gets accepted as a problem) is:

# dnf debuginfo-install bzip2-libs
Nothing to do.
# dnf debuginfo-install bzip2
Installing: bzip2-debuginfo
Is this ok [y/N]: n
# rpm -q --qf '%{sourcerpm}\n' bzip2 bzip2-libs.x86_64
bzip2-1.0.6-19.fc23.src.rpm
bzip2-1.0.6-19.fc23.src.rpm

yum debuginfo-install properly installed %{sourcerpm}-debuginfo.rpm.
dnf debuginfo-install only appends "-debuginfo" to its argument so it does not work for subpackages.

There exist packages which have PKG-debuginfo but there is no PKG, only some PKG-subpackages.  For example "dhcp".

GDB can change the suggestion but still I believe the original yum behavior was more convenient - one can use the installed RPM package name and not to construct it from %{sourcerpm} stripping ".src.rpm" and adding back arch all by hand.

Also debuginfo-install does not do much work, one can just append "-debuginfo" (and prepend --enablerepo='*debug*').
Comment 12 H.-P. Sorge 2016-02-01 15:42:31 EST
OK - gdb looks for those debuginfo rpms in a wrong place or the packages were not provided? 

gdb requests:  
Missing separate debuginfos, use dnf debuginfo-install bzip2-libs-1.0.6-19.fc23.x86_64 flac-libs-1.3.1-5.fc23.x86_64 libgcc-5.3.1-2.fc23.x86_64 libstdc++-5.3.1-2.fc23.x86_64

In this case, no debuginfo rpms are found:
!!! dnf list | grep -e 'bzip2\|flac\|libgcc\|libstdc++' | grep debug 
... NOTHING ...

I try:
dnf debuginfo-install bzip2  flac  libgcc  libstdc++
........ 
Installed:
  bzip2-debuginfo.x86_64 1.0.6-19.fc23
  flac-debuginfo.x86_64 1.3.1-5.fc23

Which is funny - see !!! above. How come dnf does not list them????
At least two packages made it.

And it looks like I run into some "undocumented feature"
dnf debuginfo-list
no such command ...

This does the job...
dnf list --enablerepo=updates-debuginfo  --enablerepo=fedora-debuginfo | grep -e 'bzip2\|flac\|libgcc\|libstdc++'| grep debug
giving bzip2 and flac debug info.

(I'd like much more: dnf debuginfo-list :-)

Still missing are debuginfos for libgcc and libstdc++.
So - please let me know the repository where those two 
debug packages are hiding......
Comment 13 Michael Mráka 2016-02-02 03:25:31 EST

*** This bug has been marked as a duplicate of bug 1301265 ***
Comment 14 Jan Kratochvil 2016-02-02 03:37:47 EST
(In reply to H.-P. Sorge from comment #12)
> I try:
> dnf debuginfo-install bzip2  flac  libgcc  libstdc++
> ........ 
> Installed:
>   bzip2-debuginfo.x86_64 1.0.6-19.fc23
>   flac-debuginfo.x86_64 1.3.1-5.fc23
> 
> Which is funny - see !!! above. How come dnf does not list them????
> At least two packages made it.

For libgcc and libstdc++ you should have used debuginfo package 'gcc':

$ rpm -q --qf '%{sourcerpm}\n' libgcc.x86_64 libstdc++.x86_64
gcc-5.3.1-2.fc23.src.rpm
gcc-5.3.1-2.fc23.src.rpm
Comment 15 H.-P. Sorge 2016-02-02 16:26:21 EST
Sorry that I keep bugging you -

I have downloaded the source package, applied the patches, added  
dnf install gmp*
dnf install mpfr-devel.x86_64
dnf install libmpc-devel.x86_64

./configure --enable-multilib

but make fails with 
Makefile:22461: recipe for target 'stage1-bubble' failed

First: Do I have to compile gcc from source and install it??
       Overwriting actual binary gcc rpm?? 
Second: You say "you should have used debuginfo package 'gcc':"
       however gcc-5.3.1-2.fc23.src.rpm seems not have the proper files:

In gcc.spec I see the references to debuginfo and I run
--------------
[root@joyw520 GCC]# export RPM_BUILD_ROOT=gcc-5.1.1-20150618
[root@joyw520 GCC]# /usr/lib/rpm/find-debuginfo.sh 
extracting debug info from gcc-5.1.1-20150618/libgo/go/debug/elf/testdata/gcc-amd64-linux-exec
Dest dir longer than base dir is not supported
--------------
Will this be fixed with the "duplicate"??

To me it looks like a gcc dependency that rests beyond a simple 
dnf debuginfo-install

Some advice is appreciated on how to proceed from here to get the 
debug symbols for gcc activated. 

Thank you for your patience.
Comment 16 Jan Kratochvil 2016-02-02 16:41:05 EST
(In reply to H.-P. Sorge from comment #15)
> but make fails with 
> Makefile:22461: recipe for target 'stage1-bubble' failed

Compiling anything from source is offtopic for this Bug.
But when you ask you should run yum-builddep on gcc-*.src.rpm if you try to compile anything yourself from sources.


> First: Do I have to compile gcc from source and install it??
>        Overwriting actual binary gcc rpm?? 

Nobody asked you for that and overwriting any binaries from rpm is always a wrong thing to do.


> Second: You say "you should have used debuginfo package 'gcc':"
>        however gcc-5.3.1-2.fc23.src.rpm seems not have the proper files:

I meant to install:
  gcc-debuginfo-5.3.1-2.fc23.x86_64.rpm
GCC package is a special case of debuginfo where you also need:
  gcc-base-debuginfo-5.3.1-2.fc23.x86_64.rpm


> In gcc.spec I see the references to debuginfo and I run

That is unrelated to this Bug.

> [root@joyw520 GCC]# /usr/lib/rpm/find-debuginfo.sh 
> extracting debug info from
> gcc-5.1.1-20150618/libgo/go/debug/elf/testdata/gcc-amd64-linux-exec
> Dest dir longer than base dir is not supported
> --------------
> Will this be fixed with the "duplicate"??

No.  This error will not happen if you properly use Koji or Mock.  But that is unrelated to this Bug.  /usr/lib/rpm/** are internal rpm tools and files.


> Some advice is appreciated on how to proceed from here to get the 
> debug symbols for gcc activated. 

dnf debuginfo-install gcc


> Thank you for your patience.

It is unfortunate the Fedora debuginfos do not work too well for users.

*** This bug has been marked as a duplicate of bug 1301265 ***

Note You need to log in before you can comment on or make changes to this bug.